> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Email Templates

> GetAll retrieves all email templates for a project.



## OpenAPI

````yaml GET /pwa/v3/projects/:project_slug/email_templates
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 1.0.0
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://management.stytch.com
    description: Production server
security:
  - basicAuth: []
paths:
  /pwa/v3/projects/:project_slug/email_templates:
    get:
      tags:
        - Email Template
      summary: Getall
      description: GetAll retrieves all email templates for a project.
      operationId: pwa_email_template_v3_GetAll
      parameters:
        - name: project_slug
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pwa_email_template_v3_GetAllResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
components:
  schemas:
    pwa_email_template_v3_GetAllResponse:
      type: object
      properties:
        request_id:
          type: string
        email_templates:
          type: array
          items:
            $ref: '#/components/schemas/pwa_email_template_v3_EmailTemplate'
        status_code:
          type: integer
          format: int32
      description: Response type
      required:
        - request_id
        - email_templates
        - status_code
    pwa_email_template_v3_EmailTemplate:
      type: object
      properties:
        template_id:
          type: string
        name:
          type: string
        sender_information:
          $ref: '#/components/schemas/pwa_email_template_v3_SenderInformation'
        prebuilt_customization:
          $ref: '#/components/schemas/pwa_email_template_v3_PrebuiltCustomization'
        custom_html_customization:
          $ref: '#/components/schemas/pwa_email_template_v3_CustomHTMLCustomization'
      required:
        - template_id
    pwa_email_template_v3_SenderInformation:
      type: object
      properties:
        from_local_part:
          type: string
        from_domain:
          type: string
        from_name:
          type: string
        reply_to_local_part:
          type: string
        reply_to_name:
          type: string
    pwa_email_template_v3_PrebuiltCustomization:
      type: object
      properties:
        button_border_radius:
          type: number
          format: float
        button_color:
          type: string
        button_text_color:
          type: string
        font_family:
          $ref: '#/components/schemas/pwa_email_template_v3_FontFamily'
        text_alignment:
          $ref: '#/components/schemas/pwa_email_template_v3_TextAlignment'
    pwa_email_template_v3_CustomHTMLCustomization:
      type: object
      properties:
        template_type:
          $ref: '#/components/schemas/pwa_email_template_v3_TemplateType'
        html_content:
          type: string
        plaintext_content:
          type: string
        subject:
          type: string
    pwa_email_template_v3_FontFamily:
      type: string
      enum:
        - ARIAL
        - BRUSH_SCRIPT_MT
        - COURIER_NEW
        - GEORGIA
        - HELVETICA
        - TAHOMA
        - TIMES_NEW_ROMAN
        - TREBUCHET_MS
        - VERDANA
    pwa_email_template_v3_TextAlignment:
      type: string
      enum:
        - LEFT
        - CENTER
    pwa_email_template_v3_TemplateType:
      type: string
      enum:
        - LOGIN
        - SIGNUP
        - INVITE
        - RESET_PASSWORD
        - ONE_TIME_PASSCODE
        - ONE_TIME_PASSCODE_SIGNUP
        - VERIFY_EMAIL_PASSWORD_RESET
        - UNLOCK
        - PREBUILT
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````